## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel
Interface SybaseASADatabase

All Superinterfaces:
  Database, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseASABaseDatabase

All Known Implementing Classes:
  SybaseASACatalogDatabase, SybaseASADatabaseImpl

    public interface SybaseASADatabase

extends SybaseASABaseDatabase

A representation of the model object 'Sybase ASA Database'.

The following features are supported:

- `ASE Compatible`

See Also:
  `SybaseasasqlmodelPackage.getSybaseASADatabase()`

Method Summary
`boolean` `isASECompatible()` Returns the value of the 'ASE Compatible' attribute.
`void` `setASECompatible(boolean value)` Sets the value of the '`ASE Compatible`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseDatabase

`getCollation, getDatabaseFileName, getDatabaseSchemas, getDataTypes, getDbSpaces, getEncryptionInfo, getJavaSupport, getLogFileName, getMirrorFileName, getPageSize, getPasswordCaseSensitive, getWebServices, isBaseOnASA10, isBlankPaddingOn, isCaseSensitive, isCheckSumOn, isJConnectOn, setBlankPaddingOn, setCaseSensitive, setCheckSumOn, setCollation, setDatabaseFileName, setEncryptionInfo, setJavaSupport, setJConnectOn, setLogFileName, setMirrorFileName, setPageSize, setPasswordCaseSensitive`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isASECompatible

    boolean isASECompatible()

  Returns the value of the 'ASE Compatible' attribute.

  If the meaning of the 'ASE Compatible' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ASE Compatible' attribute.
  See Also:
    `setASECompatible(boolean)`, `SybaseasasqlmodelPackage.getSybaseASADatabase_ASECompatible()`

### setASECompatible

    void setASECompatible(boolean value)

  Sets the value of the '`ASE Compatible`' attribute.

  Parameters:
    `value` - the new value of the 'ASE Compatible' attribute.
  See Also:
    `isASECompatible()`